package com.hai.entity;

import java.io.Serializable;

/**
 * sec_menu
 * @author 
 */

/**
 * 
 * 代码由工具生成
 * 
 **/
public class SecMenu implements Serializable {
    /**
     * 主键
     */
    private Long id;

    /**
     * 菜单名称
     */
    private String menuName;

    /**
     * 菜单类型  0:菜单  1:按钮
     */
    private Integer menuType;

    /**
     * 菜单URL
     */
    private String menuUrl;

    /**
     * 图标URL
     */
    private String menuUrlImg;

    /**
     * 父级菜单主键
     */
    private Long menuPSid;

    /**
     * 菜单顺序
     */
    private Integer menuSort;

    /**
     * 菜单描述
     */
    private String menuDesc;

    /**
     * 手机端菜单URL
     */
    private String menuMobileUrl;

    /**
     * 是否是在手机的端展示     0：不展示  1：展示  
     */
    private Integer showOnMobile;

    private static final long serialVersionUID = 1L;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getMenuName() {
        return menuName;
    }

    public void setMenuName(String menuName) {
        this.menuName = menuName;
    }

    public Integer getMenuType() {
        return menuType;
    }

    public void setMenuType(Integer menuType) {
        this.menuType = menuType;
    }

    public String getMenuUrl() {
        return menuUrl;
    }

    public void setMenuUrl(String menuUrl) {
        this.menuUrl = menuUrl;
    }

    public String getMenuUrlImg() {
        return menuUrlImg;
    }

    public void setMenuUrlImg(String menuUrlImg) {
        this.menuUrlImg = menuUrlImg;
    }

    public Long getMenuPSid() {
        return menuPSid;
    }

    public void setMenuPSid(Long menuPSid) {
        this.menuPSid = menuPSid;
    }

    public Integer getMenuSort() {
        return menuSort;
    }

    public void setMenuSort(Integer menuSort) {
        this.menuSort = menuSort;
    }

    public String getMenuDesc() {
        return menuDesc;
    }

    public void setMenuDesc(String menuDesc) {
        this.menuDesc = menuDesc;
    }

    public String getMenuMobileUrl() {
        return menuMobileUrl;
    }

    public void setMenuMobileUrl(String menuMobileUrl) {
        this.menuMobileUrl = menuMobileUrl;
    }

    public Integer getShowOnMobile() {
        return showOnMobile;
    }

    public void setShowOnMobile(Integer showOnMobile) {
        this.showOnMobile = showOnMobile;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        SecMenu other = (SecMenu) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getMenuName() == null ? other.getMenuName() == null : this.getMenuName().equals(other.getMenuName()))
            && (this.getMenuType() == null ? other.getMenuType() == null : this.getMenuType().equals(other.getMenuType()))
            && (this.getMenuUrl() == null ? other.getMenuUrl() == null : this.getMenuUrl().equals(other.getMenuUrl()))
            && (this.getMenuUrlImg() == null ? other.getMenuUrlImg() == null : this.getMenuUrlImg().equals(other.getMenuUrlImg()))
            && (this.getMenuPSid() == null ? other.getMenuPSid() == null : this.getMenuPSid().equals(other.getMenuPSid()))
            && (this.getMenuSort() == null ? other.getMenuSort() == null : this.getMenuSort().equals(other.getMenuSort()))
            && (this.getMenuDesc() == null ? other.getMenuDesc() == null : this.getMenuDesc().equals(other.getMenuDesc()))
            && (this.getMenuMobileUrl() == null ? other.getMenuMobileUrl() == null : this.getMenuMobileUrl().equals(other.getMenuMobileUrl()))
            && (this.getShowOnMobile() == null ? other.getShowOnMobile() == null : this.getShowOnMobile().equals(other.getShowOnMobile()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getMenuName() == null) ? 0 : getMenuName().hashCode());
        result = prime * result + ((getMenuType() == null) ? 0 : getMenuType().hashCode());
        result = prime * result + ((getMenuUrl() == null) ? 0 : getMenuUrl().hashCode());
        result = prime * result + ((getMenuUrlImg() == null) ? 0 : getMenuUrlImg().hashCode());
        result = prime * result + ((getMenuPSid() == null) ? 0 : getMenuPSid().hashCode());
        result = prime * result + ((getMenuSort() == null) ? 0 : getMenuSort().hashCode());
        result = prime * result + ((getMenuDesc() == null) ? 0 : getMenuDesc().hashCode());
        result = prime * result + ((getMenuMobileUrl() == null) ? 0 : getMenuMobileUrl().hashCode());
        result = prime * result + ((getShowOnMobile() == null) ? 0 : getShowOnMobile().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", menuName=").append(menuName);
        sb.append(", menuType=").append(menuType);
        sb.append(", menuUrl=").append(menuUrl);
        sb.append(", menuUrlImg=").append(menuUrlImg);
        sb.append(", menuPSid=").append(menuPSid);
        sb.append(", menuSort=").append(menuSort);
        sb.append(", menuDesc=").append(menuDesc);
        sb.append(", menuMobileUrl=").append(menuMobileUrl);
        sb.append(", showOnMobile=").append(showOnMobile);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}
